Summary:	Utilities for the creation of compressed squashfs images
Name:		squashfs-tools
Version:	4.3
Release:	2
License:	GPLv2+
Group:		File tools
Url:		http://squashfs.sourceforge.net/
Source0:	squashfs%{version}.tar.gz
Patch0:		mksquashfs-fix-2GB-limit-of-the-is_fragment-function.patch
Patch1:		mksquashfs-fix-rare-race-in-fragment-waiting-in-file.patch
Patch2:		unsquashfs-CVE-2015-4645-CVE-2015-4646.patch
Patch3:		mksquashfs-PAE.patch
Patch4:		mksquashfs-mem-overflow.patch
BuildRequires:	attr-devel
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	liblzo-devel
BuildRequires:	pkgconfig(liblz4)

%description
squashfs-tools are utilities for the creation of compressed squashfs images.

%files
%{_bindir}/mksquashfs
%{_bindir}/unsquashfs

#----------------------------------------------------------------------------

%prep
%setup -qn squashfs%{version}
%apply_patches

%build
cd squashfs-tools
%setup_compile_flags
%make XZ_SUPPORT=1 LZO_SUPPORT=1 LZMA_XZ_SUPPORT=1 LZ4_SUPPORT=1 COMP_DEFAULT=xz

%install
install -d %{buildroot}%{_bindir}
cd squashfs-tools
install -m 755 mksquashfs unsquashfs %{buildroot}%{_bindir}

#17.01.2017 V.Potapov
#Add fedora patches, add lzo and lz4
%changelog

* Wed Jan 18 2017 keleg <vladimir.potapov@rosalab.ru> 4.3-2
- (d722977) Merge pull request #2 from keleg/squashfs-tools:rosa2014.1
- (d722977) add fedora patches, add lzo and lz4


